# Core

## if
Пример:
```liin
> if true
    > print "hi!"
> else
    > print "not hi ;("
```
Описание: Выполняет следующий за командой блок кода. Если сразу после if идёт else, то при невыполнении условия, выполняется блок, идущий после блока if

## count
Пример:
```liin
! i = 1
> count 3
    > print i
    ! i += 1
```
Описание: Выполняет следующий за командой блок столько раз, сколько указано в первом аргументе

## while
Пример:
```liin
> while true
    > print "endless"
```
Описание: Обычный цикл while, выполняет следующий за командой блок, пока первый аргумент = истина

## run
Пример:
```liin
!> greeting
    > print "hi!"
> run "greeting"
```
Описание: Выполняет объявленный блок и возвращается на место

## input
Пример:
```liin
! inp << input
```
Описание: Читает строку из консоли или получает следующий элемент из массива ввода (если язык используется в качестве модуля)


# Base

## print
Пример:
```liin
> print 1, 2, 3, 4, 5
```
Описание: Выводит все переданные аргументы через пробел

## liin
Пример:
```liin
> liin
```
Описание: Выводит лого liin и информацию о текущей версии языка

## show_context
Пример:
```liin
> show_context
```
Описание: Выводит весь контекст для выражений и указания для блоков _([начало, конец, отступ изначальный, отступ блока])_

## concat
Пример:
```liin
! s << concat 1+0, 1+1, 1+2, "45"
```
Описание: Соединяет разные выражения как строку


# Files

## file
Пример:
```liin
! f << file "text.txt"
```
Описание: Возвращает объект файла для дальнейшей работой с ним

## file_create
Пример:
```liin
> file_create f
```
Описание: Создаёт указанный файл

## file_copy
Пример:
```liin
> file_copy f, "text2.txt"
```
Описание: Создаёт копию указанного файла по указанному пути

## file_write
Пример:
```liin
> file_write f, "123"
```
Описание: Записывает указанную строку в указанный файл

## file_writeb
Пример:
```liin
. На данный момент с байтами работа не закончена
> file_writeb f, bytes
```
Описание: Записывает указанные байты в указанный файл

## file_read
Пример:
```liin
! str << file_read f
```
Описание: Возвращает всё содержимое указанного файла

## file_readb
Пример:
```liin
. На данный момент с байтами работа не закончена
! bytes << file_readb f
```
Описание: Возвращает всё содержимое указанного файла в виде байтов

## file_append
Пример:
```liin
> file_append f, content
```
Описание: Записывает указанную строку в конец указанного файла

## file_exists
Пример:
```liin
! e << file_exists f
```
Описание: Возвращает true, если указанный файл существует и false, если нет

## file_remove
Пример:
```liin
> file_remove f
```
Описание: Удаляем указанный файл